/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_EdcaParameterSet_H_
#define	_EdcaParameterSet_H_


#include <asn_application.h>

/* Including external dependencies */
#include "EdcaParameterRecord.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* EdcaParameterSet */
typedef struct EdcaParameterSet {
	EdcaParameterRecord_t	 acbeRecord;
	EdcaParameterRecord_t	 acbkRecord;
	EdcaParameterRecord_t	 acviRecord;
	EdcaParameterRecord_t	 acvoRecord;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} EdcaParameterSet_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_EdcaParameterSet;

#ifdef __cplusplus
}
#endif

#endif	/* _EdcaParameterSet_H_ */
#include <asn_internal.h>
